#version 140

out vec4 fragColor;

in float fragIntensity;
in vec4 fragShadowMapCoords;
in vec2 fragTexCoords; 

//uniform vec3 color;

uniform sampler2D thirdTexture;
uniform sampler2D shadowMap;

void main(void)
{
	vec3 tc = fragShadowMapCoords.xyz / fragShadowMapCoords.w;

	float depth = texture(shadowMap, tc.xy).r;
	float inShadow = 0.0;
	
	if(tc.x >= 0 && tc.x <= 1 && tc.y >= 0 && tc.y <= 1)
	{
		inShadow = depth < tc.z ? 0.6 : 0.0;
	}
	
	vec4 shade = texture(thirdTexture, fragTexCoords);
	
	fragColor = shade * (1.0 - inShadow) * fragIntensity;
}