#version 140

uniform mat4 projectionMatrix;
uniform mat4 modelViewMatrix;

uniform vec3 directionalLight;

in vec3 vertex;
in vec3 normal;
in vec2 texCoords;

out float fragIntensity;
out vec2 fragTexCoords;

void main(void)
{
	// light direction
	const vec3 ld = vec3(0.0, 0.0, -1);
	
	gl_Position = projectionMatrix * modelViewMatrix * vec4(vertex, 1.0);
	
	// todo only model matrix should be accounted for, no view matrix
	vec4 N = modelViewMatrix * vec4(normal, 0.0);
	float NdotL = max(dot(vec3(N.x, N.y, N.z), -ld), 0.0);
	
	// "interpolate" texture coordinates
	fragTexCoords = texCoords;	
	
	fragIntensity = NdotL;//color;
}