#version 140

out vec4 fragColor;

in float fragIntensity;
in vec4 fragShadowMapCoords;
in vec2 fragTexCoords; 

uniform vec3 windowTint;
uniform vec3 wallTint;

uniform sampler2D secondTexture;
uniform sampler2D shadowMap;

void main(void)
{
	vec4 shade = texture(secondTexture, fragTexCoords);
	
	if(shade.xyz == vec3(0,0,0))
		discard;
		
	vec3 tc = fragShadowMapCoords.xyz / fragShadowMapCoords.w;

	float depth = texture(shadowMap, tc.xy).r;
	float inShadow = 0.0;
	
	if(tc.x >= 0 && tc.x <= 1 && tc.y >= 0 && tc.y <= 1)
	{
		inShadow = depth < tc.z ? 0.6 : 0.0;
	}
	
	fragColor = shade * (1.0 - inShadow) * fragIntensity;
	
	//float temp = (texture(shadowMap, tc.xy).r - 0.96793056) / (1.0 - 0.96793056);
	//fragColor = vec4(temp, temp, temp, 1);
}